const esModules = ['.*\\.mjs$', 'lodash-es'].join('|');

module.exports = {
  transform: {
    // '^.+\\.vue$': '@vue/vue2-jest', // Update to match your installed version
    '^.+\\.(t|j)sx?$': '@swc/jest',
  },
  extensionsToTreatAsEsm: ['.ts', '.tsx'], // .vue
  // testEnvironment: '@happy-dom/jest-environment',
  moduleNameMapper: {
    // '@/(.*)': '<rootDir>/src/$1',
  },
  transformIgnorePatterns: [`node_modules/(?!${esModules})`],
};
